# evaluation_fmp.hh File Reference

Evaluation over normalized and sub-normalized transducers seen as automata over a free monoid product. More...

Include dependency graph for evaluation_fmp.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename ST , typename TT >
void | evaluation_fmp (const Element< ST, TT > &, const typename input_projection_helper< ST, TT >::ret &, typename output_projection_helper< ST, TT >::ret &)
| Evaluation over normalized and sub-normalized transducers, seen as automata over a free monoid product.

## Detailed Description

Evaluation over normalized and sub-normalized transducers seen as automata over a free monoid product.

Author:
  Sarah O'Connor <sarah.o-connor@lrde.epita.fr>

See also:
  evaluation_fmp()

Definition in file evaluation_fmp.hh.